<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>API: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script>
<script type="text/javascript" async="async" src="MathJax-2.7.0/MathJax.js"></script>
<link href="doxygen_user.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="OpenSimLogoWhiteHorizontal_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">API
   &#160;<span id="projectnumber">4.4.1-2022-09-05-d4bb9bc34</span>
   </div>
   <div id="projectbrief">For MATLAB, Python, Java, and C++ users</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classOpenSim_1_1ComponentPath.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">OpenSim::ComponentPath Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classOpenSim_1_1ComponentPath.html">OpenSim::ComponentPath</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1ComponentPath.html#a28495dfc0284603bbfc11f1c2d810ade">ComponentPath</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1ComponentPath.html">OpenSim::ComponentPath</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1ComponentPath.html#a04c62d0ec148c8f6c03b362edd56636d">ComponentPath</a>(std::string path)</td><td class="entry"><a class="el" href="classOpenSim_1_1ComponentPath.html">OpenSim::ComponentPath</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1ComponentPath.html#aa65e676dd975f6507a87e0adb7202c0e">ComponentPath</a>(const std::vector&lt; std::string &gt; &amp;pathVec, bool isAbsolute)</td><td class="entry"><a class="el" href="classOpenSim_1_1ComponentPath.html">OpenSim::ComponentPath</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1ComponentPath.html#ac73cba6e7abac767e022023d0c3e8c4b">formAbsolutePath</a>(const ComponentPath &amp;otherPath) const</td><td class="entry"><a class="el" href="classOpenSim_1_1ComponentPath.html">OpenSim::ComponentPath</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1ComponentPath.html#a1dc8cd402b746925e7894ef53bdbe5e3">formRelativePath</a>(const ComponentPath &amp;otherPath) const</td><td class="entry"><a class="el" href="classOpenSim_1_1ComponentPath.html">OpenSim::ComponentPath</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1ComponentPath.html#a793760fbbdea7d2d44001b14ea900d7e">getComponentName</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1ComponentPath.html">OpenSim::ComponentPath</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1ComponentPath.html#a49f2a55af389be606e56a86e5df7e947">getInvalidChars</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1ComponentPath.html">OpenSim::ComponentPath</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1ComponentPath.html#a85fde6c4e026fca2d6dafc22755698db">getNumPathLevels</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1ComponentPath.html">OpenSim::ComponentPath</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1ComponentPath.html#a2ea7411e951a4e0c8f5c8f8a9999d9c2">getParentPath</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1ComponentPath.html">OpenSim::ComponentPath</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1ComponentPath.html#a43a4373b1463fcdf3ba2e8267e72ea4b">getParentPathString</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1ComponentPath.html">OpenSim::ComponentPath</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1ComponentPath.html#ab607f7a30ebf2133f12371b96a748c8f">getSeparator</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1ComponentPath.html">OpenSim::ComponentPath</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1ComponentPath.html#af3b216b7291edc20f6ee0fb06fda9788">getSubcomponentNameAtLevel</a>(size_t index) const</td><td class="entry"><a class="el" href="classOpenSim_1_1ComponentPath.html">OpenSim::ComponentPath</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1ComponentPath.html#a023ec59bf5dc4ccf302b1f2d05696f5f">isAbsolute</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1ComponentPath.html">OpenSim::ComponentPath</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1ComponentPath.html#ab6fd86ff7a3bf04446b7be2edafbfd32">isLegalPathElement</a>(const std::string &amp;pathElement) const</td><td class="entry"><a class="el" href="classOpenSim_1_1ComponentPath.html">OpenSim::ComponentPath</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1ComponentPath.html#a8958e6054b5892bfbb016100c8f791ab">operator!=</a>(const ComponentPath &amp;) const</td><td class="entry"><a class="el" href="classOpenSim_1_1ComponentPath.html">OpenSim::ComponentPath</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1ComponentPath.html#ad9b323e0139e41802e46d253a2df5244">operator==</a>(const ComponentPath &amp;) const</td><td class="entry"><a class="el" href="classOpenSim_1_1ComponentPath.html">OpenSim::ComponentPath</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1ComponentPath.html#a20d6325b9f17a5940ea7ef26901f9808">pushBack</a>(const std::string &amp;pathElement)</td><td class="entry"><a class="el" href="classOpenSim_1_1ComponentPath.html">OpenSim::ComponentPath</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1ComponentPath.html#a465df0b4170dd05426f0f69572ca4d99">toString</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1ComponentPath.html">OpenSim::ComponentPath</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1ComponentPath.html#a9b943f06ca3e806ffd3a926912b0a9e4">trimDotAndDotDotElements</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1ComponentPath.html">OpenSim::ComponentPath</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Mon Sep 5 2022 20:49:42 for API by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.0 </li>
  </ul>
</div>
</body>
</html>
